Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 457523 (CVE-2008-3429) - CVE-2008-3429 httrack: buffer overflow in URI processing
Summary: CVE-2008-3429 httrack: buffer overflow in URI processing
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-3429
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-01 10:53 UTC by Tomas Hoger
Modified: 2008-09-11 17:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-11 17:16:53 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2008-08-01 10:53:37 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3429 to the
following vulnerability:

Buffer overflow in URI processing in HTTrack and WinHTTrack before
3.42-3 allows remote attackers to cause a denial of service (crash)
and possibly execute arbitrary code via a long URL.

References:
http://www.httrack.com/history.txt
http://www.venustech.com.cn/NewsInfo/124/2032.Html
http://www.securityfocus.com/bid/30425

Comment 1 Fedora Update System 2008-09-09 21:22:10 UTC
httrack-3.42.93-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/httrack-3.42.93-1.fc8

Comment 2 Fedora Update System 2008-09-09 21:22:16 UTC
httrack-3.42.93-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/httrack-3.42.93-1.fc9

Comment 3 Fedora Update System 2008-09-11 17:02:24 UTC
httrack-3.42.93-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-09-11 17:05:45 UTC
httrack-3.42.93-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Red Hat Product Security 2008-09-11 17:16:53 UTC
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-7896
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-7862


Note You need to log in before you can comment on or make changes to this bug.